Create project test

Creates a test or component.

POST /api/public/v1/tests
Bearer token

Body

· CreateTestRequest
required application/json

Test or component to create.

appId string · min length: 1 required

Bubble app ID for the workspace project this request targets.

name string · min length: 1 required

Name of the test or reusable component.

description string · nullable

Optional description.

isComponent boolean

Whether the definition should be created or updated as a reusable component.

viewportPreset string | null

Optional viewport preset for runnable tests.

timeoutMinutes integer · min: 1· max: 1440

Default timeout in minutes for runs of this test.

graphStartX number

Start node canvas center x position.

graphStartY number

Start node canvas center y position.

Responses